OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPAttr
StepDimTol

# StepDimTol_GeometricToleranceWithDatumReference Class Reference

Representation of STEP entity GeometricToleranceWithDatumReference
.

`#include <StepDimTol_GeometricToleranceWithDatumReference.hxx>`

Inheritance diagram for StepDimTol_GeometricToleranceWithDatumReference:

[legend]

## Public Member Functions
Standard_EXPORT | StepDimTol_GeometricToleranceWithDatumReference ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aGeometricTolerance_Name, const Handle(TCollection_HAsciiString)&aGeometricTolerance_Description, const Handle(StepBasic_MeasureWithUnit)&aGeometricTolerance_Magnitude, const Handle(StepRepr_ShapeAspect)&aGeometricTolerance_TolerancedShapeAspect, const Handle(StepDimTol_HArray1OfDatumReference)&aDatumSystem)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepDimTol_HArray1OfDatumReference | DatumSystem () const
| Returns field DatumSystem .
Standard_EXPORT void | SetDatumSystem (const Handle(StepDimTol_HArray1OfDatumReference)&DatumSystem)
| Set field DatumSystem .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepDimTol_HArray1OfDatumReference | theDatumSystem

## Constructor & Destructor Documentation

Standard_EXPORT StepDimTol_GeometricToleranceWithDatumReference::StepDimTol_GeometricToleranceWithDatumReference | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepDimTol_HArray1OfDatumReference StepDimTol_GeometricToleranceWithDatumReference::DatumSystem | ( |  | ) | const

Standard_EXPORT const StepDimTol_GeometricToleranceWithDatumReference::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepDimTol_GeometricTolerance. Reimplemented in StepDimTol_AngularityTolerance, StepDimTol_CircularRunoutTolerance, StepDimTol_CoaxialityTolerance, StepDimTol_ConcentricityTolerance, StepDimTol_ParallelismTolerance, StepDimTol_PerpendicularityTolerance, StepDimTol_SymmetryTolerance, and StepDimTol_TotalRunoutTolerance.

Standard_EXPORT void StepDimTol_GeometricToleranceWithDatumReference::Init | ( | const Handle(TCollection_HAsciiString)& | aGeometricTolerance_Name,
|  | const Handle(TCollection_HAsciiString)& | aGeometricTolerance_Description,
|  | const Handle(StepBasic_MeasureWithUnit)& | aGeometricTolerance_Magnitude,
|  | const Handle(StepRepr_ShapeAspect)& | aGeometricTolerance_TolerancedShapeAspect,
|  | const Handle(StepDimTol_HArray1OfDatumReference)& | aDatumSystem
| ) |

Standard_EXPORT void StepDimTol_GeometricToleranceWithDatumReference::SetDatumSystem | ( | const Handle(StepDimTol_HArray1OfDatumReference)& | DatumSystem | ) |

## Field Documentation

Handle_StepDimTol_HArray1OfDatumReference StepDimTol_GeometricToleranceWithDatumReference::theDatumSystem`[private]`

The documentation for this class was generated from the following file:

- StepDimTol_GeometricToleranceWithDatumReference.hxx